org.apache.el.lang

## Class FunctionMapperImpl

- java.lang.Object
- - javax.el.FunctionMapper
  - - org.apache.el.lang.FunctionMapperImpl

All Implemented Interfaces:
  Externalizable, Serializable

    public class FunctionMapperImpl
    extends FunctionMapper
    implements Externalizable

Author:
  Jacob Hookom [jacob@hookom.net]
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `FunctionMapperImpl.Function`

### Field Summary

Fields
`protected Map<String,FunctionMapperImpl.Function>` `functions`

### Constructor Summary

Constructors
Constructor and Description
`FunctionMapperImpl()`

### Method Summary

Methods
`void` `addFunction(String prefix, String localName, Method m)`
`void` `readExternal(ObjectInput in)`
`Method` `resolveFunction(String prefix, String localName)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### functions

    protected Map<String,FunctionMapperImpl.Function> functions

### Constructor Detail

#### FunctionMapperImpl

    public FunctionMapperImpl()

### Method Detail

#### resolveFunction

    public Method resolveFunction(String prefix,
                         String localName)

Specified by:
  `resolveFunction` in class `FunctionMapper`

#### addFunction

    public void addFunction(String prefix,
                   String localName,
                   Method m)

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`